

/***/

var heights = $('#part1 td').map(function()
{
    return $(this).height();
}).get();

var maxHeight = Math.max.apply(Math,heights);

$('#part1 td').css('height', maxHeight);


 /****************************
 * CHAMPS DU TABLEAU EDITABLE *
 * @event ONCLICK
 */
 
$.fn.editable.defaults.mode = 'inline';

// INPUT EDITABLE
$('.editable-item-select').editable({
	type: 'select',
	url: '/scm/ajax/global.ajx.php',
	prepend: 'Jours ...',
	send: 'always',
	showbuttons: false,
	source: [
		{value: 1, text: 1},
		{value: 2, text: 2},
		{value: 3, text: 3},
		{value: 4, text: 4},
		{value: 5, text: 5},
		{value: 6, text: 6},
		{value: 7, text: 7},
		{value: 8, text: 8},
		{value: 9, text: 9},
		{value: 10, text: 10},
		{value: 11, text: 11},
		{value: 12, text: 12},
		{value: 13, text: 13},
		{value: 14, text: 14},
		{value: 15, text: 15},
		{value: 16, text: 16},
		{value: 17, text: 17},
		{value: 18, text: 18},
		{value: 19, text: 19},
		{value: 20, text: 20},
		{value: 21, text: 21},
		{value: 22, text: 22},
		{value: 23, text: 23},
		{value: 24, text: 24},
		{value: 25, text: 25},
		{value: 26, text: 26},
		{value: 27, text: 27},
		{value: 28, text: 28},
		{value: 29, text: 29},
		{value: 30, text: 30},  
		{value: 31, text: 31}
	],
	success: function(response, newValue) 
	{
		var retour = JSON.parse(response);
		
		if(retour.erreur!=='' && retour.erreur!=null)
		{
			alertify.set('notifier','position', 'top-left');
			alertify.error(retour.erreur);
		}
		else
		{
			alertify.set('notifier','position', 'top-left');
			alertify.success(retour.reponse);
		}
	}		
});	

$('.editable-item-selectType').editable({
	type: 'select',
	url: '/scm/ajax/global.ajx.php',
	prepend: 'Paiement ...',
	send: 'always',
	showbuttons: false,
	source: [
		{value: 'cb', text: 'Carte bleue'},
		{value: 'ch', text: 'Cheque'},
		{value: 'vr', text: 'Virement'},
		{value: 'ep', text: 'Espece'},
	],
	success: function(response, newValue) 
	{
		var retour = JSON.parse(response);
		
		if(retour.erreur!=='' && retour.erreur!=null)
		{
			alertify.set('notifier','position', 'top-left');
			alertify.error(retour.erreur);
		}
		else
		{
			alertify.set('notifier','position', 'top-left');
			alertify.success(retour.reponse);
		}
	}		
});	
	
$('.editable-item-text').editable({
	type: 'text',
	url: '/scm/ajax/global.ajx.php',
	send: 'always',
	dataType: 'json',
	showbuttons: false,
	success: function(response, newValue) 
	{
		var retour = JSON.parse(response);
		
		if(retour.erreur!=='' && retour.erreur!=null)
		{
			alertify.set('notifier','position', 'top-left');
			alertify.error(retour.erreur);
		}
		else
		{
			alertify.set('notifier','position', 'top-left');
			alertify.success(retour.reponse);
		}
	}
}).on('shown',function(e,editable)
{
	if(editable) 
	{
		// Texte séléctionné par défaut
		editable.input.postrender = function(){	editable.input.$input.select(); };
		
		// Changement à l'input suivant par TAB
		editable.input.$input.on('keydown', function(e) 
		{
			if(e.type=='keydown' && e.which == 9) 
			{
				e.preventDefault();
				console.log('this', this);
				var next = nextField($(this), e.shiftKey);
				var form = $(this).closest("td").find("form");
				form.submit();
				
				if(form.has("div.has-error").length > 0)
				{
					console.log("Found error, cancel !");
				} 
				else
				{
					next.editable('show');
				}
			}
		});
	}
});


/****************************
 * AJOUTE UNE NOUVELLE RECETTE *
 * @event ONCLICK
 */

$('#addRecette').live('click',function(e)
{
	e.preventDefault();
	
	var tab  		= $('#addRecetteTab tr:first');
	var code 		= $(this).attr('data-code');
	var appendTxt 	= '';
	var mois		= '';
	
	appendTxt += '<tr class="new">';
	appendTxt += '<td><a class="editable-item-text" data-name="libelle" data-params="{\'typeAjx\':\'16\'}">Nom du libellé</a></td>';
	
	$(tab).after(appendTxt);

	// INPUT EDITABLE
	$('#addRecetteTab .editable-item-text').editable({
		type: 'text',
		url: '/scm/ajax/global.ajx.php',
		send: 'always',
		dataType: 'json',
		showbuttons: false,
		success: function(response, newValue) 
		{
			var retour = JSON.parse(response);
			
			if(retour.erreur!=='' && retour.erreur!=null)
			{
				alertify.set('notifier','position', 'top-left');
				alertify.error(retour.erreur);
			}
			else
			{
				// if(retour.id)
				// {
					// appendTxt = '';
					
					// $('#addRecetteTab th').each(function(e)	
					// {
						// mois = $(this).attr('data-date');
						
						// if(mois!=undefined)
						// {
							// appendTxt += '<td><a class="editable-item-text"	data-params="{\'typeAjx\':\'21\',\'mois\':\''+mois+'\',\'type\':\'recette\',\'id\':\''+retour.id+'\'}">0.00</a></td>';
						// }
					// });
					
					// $('#addRecetteTab tr[class="new"] td').eq(0).after(appendTxt);	
					// $('#addRecetteTab .editable-item-text').editable({
						// type: 'text',
						// url: '/scm/ajax/global.ajx.php',
						// send: 'always',
						// dataType: 'json',
						// showbuttons: false,
						// success: function(response, newValue) 
						// {
							// var retour = JSON.parse(response);
							
							// if(retour.erreur!=='' && retour.erreur!=null)
							// {
								// alertify.set('notifier','position', 'top-left');
								// alertify.error(retour.erreur);
							// }
							// else
							// {
								// alertify.set('notifier','position', 'top-left');
								// alertify.success(retour.reponse);
							// }
						// }
					// });
				// }
				
				// alertify.set('notifier','position', 'top-left');
				// alertify.success(retour.reponse);
				
				swal({
					title: 'Bravo!', 
					text: retour.reponse, 
					type: 'success'
				}).then(function(){ location.href = '/scm/'+langue+'/comptabilite/'; });				
			}
		}
	});
});



/****************************
 * AJOUTE UNE NOUVELLE DEPENSE *
 * @event ONCLICK
 */

$('#addDepense').live('click',function(e)
{
	e.preventDefault();
	
	var tab  		= $('#addDepenseTab tr:first');
	var code 		= $(this).attr('data-code');
	var appendTxt 	= '';
	var mois		= '';
	
	appendTxt += '<tr class="new">';
	appendTxt += '<td><a class="editable-item-text" data-name="libelle" data-params="{\'typeAjx\':\'17\'}">Nom du libellé</a></td>';
	
	$(tab).after(appendTxt);	

	// INPUT EDITABLE
	$('#addDepenseTab .editable-item-text').editable({
		type: 'text',
		url: '/scm/ajax/global.ajx.php',
		send: 'always',
		dataType: 'json',
		showbuttons: false,
		success: function(response, newValue) 
		{
			var retour = JSON.parse(response);
			
			if(retour.erreur!=='' && retour.erreur!=null)
			{
				alertify.set('notifier','position', 'top-left');
				alertify.error(retour.erreur);
			}
			else
			{
				// if(retour.id)
				// {
					// appendTxt = '';
					
					// $('#addDepenseTab th').each(function(e)	
					// {
						// mois = $(this).attr('data-date');
						
						// if(mois!=undefined)
						// {
							// appendTxt += '<td><a class="editable-item-text"	data-params="{\'typeAjx\':\'21\',\'mois\':\''+mois+'\',\'type\':\'depense\',\'id\':\''+retour.id+'\'}">0.00</a></td>';
						// }
					// });
					
					// $('#addDepenseTab tr[class="new"] td').eq(0).after(appendTxt);					
					// $('#addDepenseTab .editable-item-text').editable({
						// type: 'text',
						// url: '/scm/ajax/global.ajx.php',
						// send: 'always',
						// dataType: 'json',
						// showbuttons: false,
						// success: function(response, newValue) 
						// {
							// var retour = JSON.parse(response);
							
							// if(retour.erreur!=='' && retour.erreur!=null)
							// {
								// alertify.set('notifier','position', 'top-left');
								// alertify.error(retour.erreur);
							// }
							// else
							// {
								// alertify.set('notifier','position', 'top-left');
								// alertify.success(retour.reponse);
							// }
						// }
					// });
				// }
				
				// alertify.set('notifier','position', 'top-left');
				// alertify.success(retour.reponse);
				
				swal({
					title: 'Bravo!', 
					text: retour.reponse, 
					type: 'success'
				}).then(function(){ location.href = '/scm/'+langue+'/comptabilite/'; });				
			}
		}
	});
});